CompileFlags:
  Compiler: /home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/bin/xtensa-esp32s3-elf-g++
  Add:
    - -D__XTENSA__
    - -D__xtensa__
    - -D__XTENSA_EL__
    - -D__XTENSA_WINDOWED_ABI__
    - --target=arm-none-eabi
    - -Wno-unknown-warning-option
    - -isystem/home/fallensigh/Dev/craic/jxbeye/clangd_compat
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/xtensa-esp32s3-elf/include/c++/8.4.0
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/xtensa-esp32s3-elf/include/c++/8.4.0/xtensa-esp32s3-elf
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/xtensa-esp32s3-elf/include/c++/8.4.0/backward
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/lib/gcc/xtensa-esp32s3-elf/8.4.0/include
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/lib/gcc/xtensa-esp32s3-elf/8.4.0/include-fixed
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/xtensa-esp32s3-elf/sys-include
    - -isystem/home/fallensigh/.platformio/packages/toolchain-xtensa-esp32s3/xtensa-esp32s3-elf/include
    - -Ilib/FTServo/src
  Remove:
    - -mlongcalls
    - -fstrict-volatile-bitfields
    - -fno-tree-switch-conversion
    - -mno-speculative-load-hardening
    - -fno-split-wide-types
    - -fbranch-target-load-optimize2
    - -fno-jump-tables
    - -freorder-blocks
    - -fstack-protector

Diagnostics:
  UnusedIncludes: Strict
  Suppress:
    - drv_unknown_argument
    - drv_unknown_argument_with_suggestion
    - fatal_too_many_errors
